# $Revision: 1.34 $, $Date: 2004/05/07 00:40:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	B
%define		pnam	Graph
Summary:	B::Graph - Perl compiler backend to produce graphs of OP trees
Summary(pl):	B::Graph - backend dla kompilatora Perla tworzcy grafy drzew OP
Name:		perl-B-Graph
Version:	0.51
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	907943809a96d8ff9f0118a64e40e723
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
B::Graph module is a backend to the Perl compiler (B::*) which,
instead of outputting bytecode or C based on Perl's compiled version
of a program, writes descriptions in graph-description languages
specifying graphs that show the program's structure. It currently
generates descriptions for the VCG tool
("http://www.cs.uni-sb.de/RW/users/sander/html/gsvcg1.html") and Dot
(part of the graph visualization toolkit from AT&T:
"http://www.research.att.com/sw/tools/graphviz/"). It also can produce
plain text output (which is more useful for debugging the module
itself than anything else).

%description -l pl
Modu B::Graph jest backendem dla kompilatora Perla (B::*), ktry
zamiast generowac kod poredni lub kod C w oparciu kompilowan wersj
programu perlowego, wypisuje opisy w jezykach opisu grafw, tworzc
grafy ukazujce struktur programu. Aktualnie generuje on opisy dla
narzdzi: VCG
("http://www.cs.uni-sb.de/RW/users/sander/html/gsvcg1.html") oraz Dot
(cz zestawu narzdziowego AT&T do wizualizacji
grafw:"http://www.research.att.com/sw/tools/graphviz/"). Potrafi on
rwnie generowa czysto tekstowy wynik (ktry jest bardziej przydatny
do odpluskwiania samego moduu, ni do czegokolwiek innego).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/B/Graph.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-B-Graph.spec,v $
Revision 1.34  2004/05/07 00:40:53  ankry
- rel. 7

Revision 1.33  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 07:37:53  ankry
- tests added

Revision 1.31  2004/04/22 19:09:13  ankry
- rel. 6 for Ac

Revision 1.30  2004/04/17 15:07:39  ankry
- license/summary/description fixes

Revision 1.29  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:36:47  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:26:44  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 01:54:35  kloczek
- cosmetics.

Revision 1.17  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:06:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:04  depesz
adapterized

Revision 1.14  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:05:19  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/02 20:43:57  kloczek
- updated to 0.51.

Revision 1.9  2000/12/27 18:25:35  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release

